VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "TreeTable"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Explicit
Implements visList
Private tv As TreeView

Private Sub visList_addLine(p As Product)
  Dim scnt As String, tNode As Node
  Dim cNode As Node
  
  'Dodaj węzeł nadrzędny
  Set tNode = tv.Nodes.Add(, tvwNext, "r" + p.getName, p.getName)
  tv.Nodes.Add "r" + p.getName, tvwChild, , p.getQty
  tNode.Expanded = True

End Sub

Private Sub visList_init(c As Control)
  Set tv = c
End Sub

Private Sub visList_removeLine(ByVal num As Integer)
End Sub
